System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Syndication.ISyndicationElement

When serialized to Atom 1.0, a instance is written to a <feed> element. The following table shows how each property defined in the class is serialized to Atom 1.0.

SyndicationFeed property

Serialized form

AttributeExtensions

An attribute in the <feed> element for each attribute in the collection.

Authors

An <author> element for each in the collection.

Categories

A <category> element for each in the collection.

Contributors

A <contributor> element for each in the collection.

Copyright

A <rights> element.

Description

A <subtitle> element.

ElementExtensions

Each element in the collection is written within the <feed> element.

Generator

A <generator> element.

Id

An <id> element.

ImageUri

A <logo> element.

Items

An <entry> element for each in the collection.

Language

Not serialized.

LastUpdatedTime

An <updated> element.

Links

A <link> element for each in the collection.

Title

A <title> element.

When serialized to RSS 2.0, a instance is written to an <rss> element. The following table shows how each property defined in the class is serialized to RSS 2.0.

SyndicationFeed property

Serialized form

AttributeExtensions

An attribute in the <channel> element for each attribute in the collection.

Authors

A <managingEditor> element if only one is in the collection; otherwise, an <a10:author> element for each in the collection.

Categories

A <category> element for each in the collection.

Contributors

An <a10:contributor> element for each in the collection.

Copyright

A <copyright> element.

Description

A <description> element.

ElementExtensions

Each element in the collection is written within the <channel> element.

Generator

A <generator> element.

Id

An <a10:id> element.

ImageUri

An <image> element.

Items

An <item> element for each in the collection.

Language

A <language> element.

LastUpdatedTime

A <lastBuildDate> element.

Links

An <a10:link> element for each in the collection.

Title

A <title> element.

Represents a top-level feed object, <feed> in Atom 1.0 and <rss> in RSS 2.0.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The collection of objects passed into this constructor is buffered.

  Initializes a new instance of the class with the specified collection of objects.

  A collection of objects.
- Constructor
  4.0.0.0

  If the parameter is true, all instances in the source instance are cloned and added to the collection of the new instance. If the parameter is false, the collection of the new instance contains references to the existing instances.

  Creates a new instance of the class with the specified feed.

  The used to initialize the new instance.
  A value that specifies whether to clone the items in the source instance.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified title, description, and Uniform Resource Identifier (URI).

  The title of the feed.
  The description of the feed.
  The URI for the feed.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified title, description, URI, and collection of objects.

  The title of the feed.
  The description of the feed.
  The URI for the feed.
  A collection of objects.
- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

  The syndication feed title.
  The syndication feed description.
  The alternate URI for the syndication feed.
  The ID of the syndication feed.
  The that contains the last time the syndication feed was updated.
- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

  The syndication feed title.
  The syndication feed description.
  The alternate URI for the syndication feed.
  The ID of the syndication feed.
  The that contains the last time the syndication feed was updated.
  A collection of objects.
- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added.

  An attribute extension is a valid XML attribute that is not specified in either the Atom 1.0 or RSS 2.0 specifications. When serialized to Atom 1.0, each custom attribute in the collection is written to the <atom> element. When serialized to RSS 2.0, each custom attribute is written to the <channel> element. crexample adding an attribute extension, see the Loosely-Typed Extensions Sample sample.

  Gets a collection of attribute extensions.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.SyndicationPerson> To be added.

  When serialized to Atom 1.0, each in the collection is written to an <author> element. When serialized to RSS 2.0, if only a single exists in the collection, it is written to a <managingEditor> element. Otherwise, each is written to an <a10:author> element.

  Gets a collection of authors of the feed.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets and sets the base URI for the instance.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.SyndicationCategory> To be added.

  When serialized to Atom 1.0, each in the collection is written to a <category> element.

  When serialized to RSS 2.0, each in the collection is written to a <category> element.

  Gets a collection of categories for the feed.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationFeed ``

  If the parameter is true, all items within the object are cloned; otherwise, the new instance's items collection contain references to the original instance's items.

  Creates a copy of the instance.

  A duplicate object.

  A value that specifies whether the objects are cloned.
- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.SyndicationPerson> To be added.

  When serialized to Atom 1.0, each in the collection is written to a <contributor> element.

  When serialized to RSS 2.0, each in the collection is written to an <a10:contributor> element.

  Gets a collection of the contributors to the feed.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent To be added.

  When serialized to Atom 1.0, the is written to a <rights> element.

  When serialized to RSS 2.0, the is written to a <copyright> element.

  Gets and sets copyright information for the feed.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationCategory

  This method does not add the object to the collection.

  Creates a new instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem

  This method does not add the object to the collection.

  Creates a new instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink

  The new instance is not added to the instance used to create it.

  Creates a new instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationPerson

  This method does not add the object to the or collections.

  Creates a new instance.

  A new instance.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent To be added.

  When serialized to Atom 1.0, is written to a <subtitle> element.

  When serialized to RSS 2.0, is written to a <description> element.

  Gets and sets a description of the feed.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added.

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace.

  <mg:MyElement xmlns:mg="http://myserver/elements" />

  crexample adding element extensions, see the Loosely-Typed Extensions Sample sample.

  Gets the element extensions for the feed.

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0 and RSS 2.0, the is written to a <generator> element.

  Gets and sets the generator of the feed.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.Atom10FeedFormatter To be added.

  Gets an instance.

  An instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.Rss20FeedFormatter To be added.

  Gets an instance.

  An instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.Rss20FeedFormatter ``

  The RSS 2.0 specification allows elements and attributes that are not specified in its specification only if they are within a namespace. When the parameter is true, the formatter automatically adds the a10 namespace qualifier to all extensions; otherwise, the extensions are not serialized.

  Gets a new instance.

  An instance.

  A value that specifies whether to serialize element and attribute extensions with an Atom 1.0 namespace.
- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, the is written to an <id> element.

  When serialized to RSS 2.0, the is written to an <a10:id> element.

  Gets and sets the ID of the feed.

- Property
  4.0.0.0
  System.Uri To be added.

  When serialized to Atom 1.0, the property is written to a <logo> element.

  When serialized to RSS 2.0, the property is written to an <image> element.

  Gets and sets the image URL for the feed.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.ServiceModel.Syndication.SyndicationItem> To be added.

  When serialized to Atom 1.0, the collection is written to <entry> elements.

  When serialized to Atom 1.0, the collection is written to <item> elements.

  Gets a collection of the feed items contained in the feed.

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, the property is written to the lang attribute in the <feed> element.

  When serialized to RSS 2.0, the property is written to the <language> element.

  Gets and sets the language of the feed.

- Property
  4.0.0.0
  System.DateTimeOffset To be added.

  When serialized to Atom 1.0, the property is written to an <updated> element.

  When serialized to RSS 2.0, the property is written to a <lastBuildDate> element.

  Gets and sets the time the feed was last updated.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.SyndicationLink> To be added.

  When serialized to Atom 1.0, the collection is written to a number of <link> elements.

  When serialized to RSS 2.0, the collection is written to a number of <a10:link> elements.

  Gets the links associated with the feed.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationFeed `` To be added.

  Loads a syndication feed from the specified XML reader.

  A that contains the loaded contents.

  The to load the feed from.
- Method
  4.0.0.0
  TSyndicationFeed DefaultConstructorConstraint System.ServiceModel.Syndication.SyndicationFeed ``

  Use this method when you are loading a syndication item into a class derived from .

  Loads a -derived instance from the specified .

  A -derived instance that contains the feed.

  The to read from. The syndication feed type.
- Method
  4.0.0.0
  System.Void `` To be added.

  Write the syndication feed to the specified in Atom 1.0 format.

  The to write to.
- Method
  4.0.0.0
  System.Void `` To be added.

  Write the syndication feed to the specified in RSS 2.0 format.

  The to write to.
- Property
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent To be added.

  When serialized to Atom 1.0 and RSS 2.0, the property is written to a <title> element.

  Gets and sets the title of the feed.

- Method
  4.0.0.0
  System.Boolean `` `` `` ``

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <feed> (for Atom 1.0) or <rss> (for RSS 1.0) element, which depends upon the syndication version being used. This method is an extension point that allows you to handle the deserialization of a custom attribute extension. To do this, you must derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Attempts to parse an attribute extension.

  A value that specifies whether the attribute extension was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` ``

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the deserialization of a custom element extension. To do this, you must derive a class from and override this method. This method is called for all unrecognized element extensions.

  Attempts to parse an element extension.

  A value that specifies whether the element extension was parsed successfully.

  The to read from. The syndication version to use while parsing.
- Method
  4.0.0.0
  System.Void `` ``

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <feed> (for Atom 1.0) or <rss> (for RSS 1.0) element, which depends upon the syndication version being used. This method is an extension point that allows you to handle the serialization of custom attribute extensions. To do this, you must derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Writes the attribute extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use while writing.
- Method
  4.0.0.0
  System.Void `` ``

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the serialization of custom element extensions. To do this, you must derive a class from and override this method. This method is called for all unrecognized element extensions.

  Writes the element extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use while writing.